#!/bin/bash
# $Header: /home/cvsd/magellan-cvs/magellan-src/bootstrap/scripts/bootstrap-default-system.sh,v 1.1 2006-02-23 17:42:53 niro Exp $

# installs magellan-linux from a livecd with its default settings

# need r00t privs
[[ $(id -u) != 0 ]] && die "you must be r00t."

if [[ -z $(cat /proc/mounts | grep /mnt/magellan) ]]
then
	echo "No partition mounted to /mnt/magellan. Aborting bootstrap."
	exit 1
fi

/usr/sbin/mage-bootstrap \
	--update-tarball \
	--magerc /etc/mage.rc \
	--root /mnt/magellan \
	--profile $(basename $(readlink /etc/mage-profile))
